# TdApi.GetChatNotificationSettingsExceptions (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetChatNotificationSettingsExceptions

Package it.tdlight.jni

# Class TdApi.GetChatNotificationSettingsExceptions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetChatNotificationSettingsExceptions

Enclosing class:
  TdApi

    public static class TdApi.GetChatNotificationSettingsExceptions
    extends TdApi.Function

Returns list of chats with non-default notification settings.

Returns `Chats`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `compareSound` | If true, also chats with non-default sound will be returned.
`static int` | `CONSTRUCTOR` |
`TdApi.NotificationSettingsScope` | `scope` | If specified, only chats from the scope will be returned; pass null to return chats from all scopes.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetChatNotificationSettingsExceptions()` | Returns list of chats with non-default notification settings.
`GetChatNotificationSettingsExceptions​(TdApi.NotificationSettingsScope scope, boolean compareSound)` | Returns list of chats with non-default notification settings.
`GetChatNotificationSettingsExceptions​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### scope

public TdApi.NotificationSettingsScope scope
If specified, only chats from the scope will be returned; pass null to return chats from all scopes.

### compareSound

public boolean compareSound
If true, also chats with non-default sound will be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetChatNotificationSettingsExceptions

public GetChatNotificationSettingsExceptions()
Returns list of chats with non-default notification settings.

Returns `Chats`

### GetChatNotificationSettingsExceptions

public GetChatNotificationSettingsExceptions​(TdApi.NotificationSettingsScope scope, boolean compareSound)
Returns list of chats with non-default notification settings.

Returns `Chats`

Parameters:
  `scope` - NotificationSettingsScope If specified, only chats from the scope will be returned; pass null to return chats from all scopes.
  `compareSound` - boolean If true, also chats with non-default sound will be returned.

### GetChatNotificationSettingsExceptions

public GetChatNotificationSettingsExceptions​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`